# Add Ons

Add Ons

 - [GET /addOns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/listaddons.md): This method will scan all add ons and and return them to the caller.
 - [POST /addOns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/createaddon.md): This method will auto-generate an ID and create a new add on. If an ID is specified for the add on, an error will be thrown.
 - [POST /addOns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [GET /addOns/{tenantId}/portal/getApplicable/{customerType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/listapplicableaddons.md): List all applicable add ons for a contact
 - [DELETE /addOns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/deleteaddon.md): This method will delete a add on with the specified ID.
 - [GET /addOns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/getaddon.md): This method will look up a add on by the specified ID and return it back.
 - [PATCH /addOns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/patchaddon.md): This method will patch an existing add on with the specified ID, using the HTTP PATCH specification.
 - [PUT /addOns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/updateaddon.md): This method will update an existing add on with the specified ID.
